Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version: 6.0.0   

Resolution: Fixed   

Description

Currently, to lock multiple users, you need to select multiple users, click "Delete" in the context menu, and then click "Lock" at the

bottom of the delete page. This process is not intuitive.

I propose adding a bulk lock option directly in the context menu on the user list.

 bulk_lock.png 

Associated revisions

Revision 22898 - 2024-06-25 21:03 - Marius BĂLTEANU

Add bulk lock feature to user list context menu (#40913).

Patch by Mizuki ISHIKAWA (@ishikawa999).

Revision 22925 - 2024-07-13 12:21 - Marius BĂLTEANU

Add bulk unlock to user list context menu (#40913).

Revision 22930 - 2024-07-14 12:35 - Marius BĂLTEANU

Adds test for bulk unlock users (#40913).

Revision 22931 - 2024-07-14 12:43 - Marius BĂLTEANU

Update users routing test to include assertions for bulk actions (delete, lock and unlock) (#40913).

History

#1 - 2024-06-25 08:15 - Mizuki ISHIKAWA

- File feature-40913.patch added

The patch is attached.

#2 - 2024-06-25 21:03 - Marius BĂLTEANU

- Status changed from New to Resolved

- Assignee set to Marius BĂLTEANU

- Target version set to 6.0.0

- Resolution set to Fixed

Committed, thanks!

#3 - 2024-06-25 21:45 - Marius BĂLTEANU

- File 0001-Add-bulk-unlock-users-action.patch added

Mizuki, I've created a patch to add also the bulk unlock action. What do you think?

#4 - 2024-06-26 10:40 - Mizuki ISHIKAWA

Marius BĂLTEANU

I reviewed it, and it looks great! Thank you for writing the patch!
#5 - 2024-07-14 12:43 - Marius BĂLTEANU

- Status changed from Resolved to Closed

Feature completed.

#6 - 2024-07-15 16:38 - Marius BĂLTEANU

- Subject changed from Add bulk lock feature to user list context menu to Add bulk lock/unlock feature to user list context menu
